Page MenuHomePhabricator

[CUDA] Add support for CUDA-11.8 and sm_{87,89,90} GPUs.
ClosedPublic

Authored by tra on Oct 5 2022, 12:45 PM.

Details

Summary

Only enables recognition and targeting of the new CUDA/PTX/GPU variants, but the functionality is limited to the features supported by the older CUDA versions. More work needs to be done to support the new features.

Diff Detail

Event Timeline

tra created this revision.Oct 5 2022, 12:45 PM
Herald added a project: Restricted Project. · View Herald TranscriptOct 5 2022, 12:45 PM
tra updated this revision to Diff 465512.Oct 5 2022, 12:48 PM

Fixed typos in builtinsnvptx.def.

tra updated this revision to Diff 465557.Oct 5 2022, 2:31 PM

Cleanup GPU arch descriptions.

tra updated this revision to Diff 465577.Oct 5 2022, 3:25 PM

rebased.

tra updated this revision to Diff 465599.Oct 5 2022, 4:32 PM

rebase.

tra updated this revision to Diff 465602.Oct 5 2022, 4:40 PM

rebase

tra retitled this revision from Add support for CUDA-11.8 and sm_{87,89,90} GPUs. to [CUDA] Add support for CUDA-11.8 and sm_{87,89,90} GPUs..Oct 5 2022, 4:43 PM
tra edited the summary of this revision. (Show Details)
tra added a reviewer: yaxunl.
tra published this revision for review.Oct 5 2022, 4:46 PM
Herald added projects: Restricted Project, Restricted Project. · View Herald TranscriptOct 5 2022, 4:46 PM
yaxunl added inline comments.Oct 5 2022, 5:14 PM
clang/include/clang/Basic/BuiltinsNVPTX.def
30–32

typo?

tra updated this revision to Diff 465612.Oct 5 2022, 5:20 PM

fixed typos.

clang/include/clang/Basic/BuiltinsNVPTX.def
30–32

Good catch. Fixed.

yaxunl accepted this revision.Oct 6 2022, 7:32 AM

LGTM. Thanks.

This revision is now accepted and ready to land.Oct 6 2022, 7:32 AM
tra updated this revision to Diff 465800.Oct 6 2022, 11:17 AM

rebase

tra updated this revision to Diff 466171.Oct 7 2022, 1:56 PM

Updated a failing test.

This revision was landed with ongoing or failed builds.Oct 7 2022, 2:00 PM
This revision was automatically updated to reflect the committed changes.